#define sno_n16_cxx
#include "sno_n16.h"
#include <TH2.h>
#include <TStyle.h>
#include <TCanvas.h>

void sno_n16::Loop()
{
//   In a ROOT session, you can do:
//      Root > .L sno_n16.C
//      Root > sno_n16 t
//      Root > t.GetEntry(12); // Fill t data members with entry number 12
//      Root > t.Show();       // Show values of entry 12
//      Root > t.Show(16);     // Read and show values of entry 16
//      Root > t.Loop();       // Loop on all entries
//

//     This is the loop skeleton where:
//    jentry is the global entry number in the chain
//    ientry is the entry number in the current Tree
//  Note that the argument to GetEntry must be:
//    jentry for TChain::GetEntry
//    ientry for TTree::GetEntry and TBranch::GetEntry
//
//       To read only selected branches, Insert statements like:
// METHOD1:
//    fChain->SetBranchStatus("*",0);  // disable all branches
//    fChain->SetBranchStatus("branchname",1);  // activate branchname
// METHOD2: replace line
//    fChain->GetEntry(jentry);       //read all branches
//by  b_branchname->GetEntry(ientry); //read only this branch
   if (fChain == 0) return;

   Long64_t nentries = fChain->GetEntriesFast();

   TH1F *hist = new TH1F("hist","n16 energies" , 25 ,3.0 ,8.0);
   Double_t  Teff;


   Int_t nbytes = 0, nb = 0;
   for (Long64_t jentry=0; jentry<nentries;jentry++) {
      Long64_t ientry = LoadTree(jentry);
      if (ientry < 0) break;
      nb = fChain->GetEntry(jentry);   nbytes += nb;
      Teff = Enerap - 0.511;
      if (Nfecd == 1 && 0<Rfp && Rfp<550 && Teff > 3 && Teff < 8.0) {
	hist->Fill(Teff);
      }

      // if (Cut(ientry) < 0) continue;
   }
}
